<?php

namespace baihand\test;
use DI\Attribute\Inject;

class MyUser2
{
    private $mydb;

    #[Inject]
    public MyRedis2 $myredis;

    /**
     * 通过注解注入对象
     * 可以看到我并没有做任何赋值，
     * 我只是给他加了 @Inject() 注解，我就可以使用它了，是不是很方便。
     * @Inject()
     * @param MyDB $DB
     */
    public function __construct(MyDB $DB)
    {
        $this->mydb=$DB;
    }
    public function getAllUsers()
    {
        return array($this->mydb->queryForRows("select * from users"));
    }

}